Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:d00a:b000/116
First address
2c19:dd:d9:dd:c25:c25:d00a:b000
Last address
2c19:dd:d9:dd:c25:c25:d00a:bfff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:d00a:b000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
b.a.0.0.d.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:d00a:b000/116 makes 4,096 subnets of /128; the first 256 are listed.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:d00a:b000/1282c19:dd:d9:dd:c25:c25:d00a:b000
22c19:dd:d9:dd:c25:c25:d00a:b001/1282c19:dd:d9:dd:c25:c25:d00a:b001
32c19:dd:d9:dd:c25:c25:d00a:b002/1282c19:dd:d9:dd:c25:c25:d00a:b002
42c19:dd:d9:dd:c25:c25:d00a:b003/1282c19:dd:d9:dd:c25:c25:d00a:b003
52c19:dd:d9:dd:c25:c25:d00a:b004/1282c19:dd:d9:dd:c25:c25:d00a:b004
62c19:dd:d9:dd:c25:c25:d00a:b005/1282c19:dd:d9:dd:c25:c25:d00a:b005
72c19:dd:d9:dd:c25:c25:d00a:b006/1282c19:dd:d9:dd:c25:c25:d00a:b006
82c19:dd:d9:dd:c25:c25:d00a:b007/1282c19:dd:d9:dd:c25:c25:d00a:b007
92c19:dd:d9:dd:c25:c25:d00a:b008/1282c19:dd:d9:dd:c25:c25:d00a:b008
102c19:dd:d9:dd:c25:c25:d00a:b009/1282c19:dd:d9:dd:c25:c25:d00a:b009
112c19:dd:d9:dd:c25:c25:d00a:b00a/1282c19:dd:d9:dd:c25:c25:d00a:b00a
122c19:dd:d9:dd:c25:c25:d00a:b00b/1282c19:dd:d9:dd:c25:c25:d00a:b00b
132c19:dd:d9:dd:c25:c25:d00a:b00c/1282c19:dd:d9:dd:c25:c25:d00a:b00c
142c19:dd:d9:dd:c25:c25:d00a:b00d/1282c19:dd:d9:dd:c25:c25:d00a:b00d
152c19:dd:d9:dd:c25:c25:d00a:b00e/1282c19:dd:d9:dd:c25:c25:d00a:b00e
162c19:dd:d9:dd:c25:c25:d00a:b00f/1282c19:dd:d9:dd:c25:c25:d00a:b00f
172c19:dd:d9:dd:c25:c25:d00a:b010/1282c19:dd:d9:dd:c25:c25:d00a:b010
182c19:dd:d9:dd:c25:c25:d00a:b011/1282c19:dd:d9:dd:c25:c25:d00a:b011
192c19:dd:d9:dd:c25:c25:d00a:b012/1282c19:dd:d9:dd:c25:c25:d00a:b012
202c19:dd:d9:dd:c25:c25:d00a:b013/1282c19:dd:d9:dd:c25:c25:d00a:b013
212c19:dd:d9:dd:c25:c25:d00a:b014/1282c19:dd:d9:dd:c25:c25:d00a:b014
222c19:dd:d9:dd:c25:c25:d00a:b015/1282c19:dd:d9:dd:c25:c25:d00a:b015
232c19:dd:d9:dd:c25:c25:d00a:b016/1282c19:dd:d9:dd:c25:c25:d00a:b016
242c19:dd:d9:dd:c25:c25:d00a:b017/1282c19:dd:d9:dd:c25:c25:d00a:b017
252c19:dd:d9:dd:c25:c25:d00a:b018/1282c19:dd:d9:dd:c25:c25:d00a:b018
262c19:dd:d9:dd:c25:c25:d00a:b019/1282c19:dd:d9:dd:c25:c25:d00a:b019
272c19:dd:d9:dd:c25:c25:d00a:b01a/1282c19:dd:d9:dd:c25:c25:d00a:b01a
282c19:dd:d9:dd:c25:c25:d00a:b01b/1282c19:dd:d9:dd:c25:c25:d00a:b01b
292c19:dd:d9:dd:c25:c25:d00a:b01c/1282c19:dd:d9:dd:c25:c25:d00a:b01c
302c19:dd:d9:dd:c25:c25:d00a:b01d/1282c19:dd:d9:dd:c25:c25:d00a:b01d
312c19:dd:d9:dd:c25:c25:d00a:b01e/1282c19:dd:d9:dd:c25:c25:d00a:b01e
322c19:dd:d9:dd:c25:c25:d00a:b01f/1282c19:dd:d9:dd:c25:c25:d00a:b01f
332c19:dd:d9:dd:c25:c25:d00a:b020/1282c19:dd:d9:dd:c25:c25:d00a:b020
342c19:dd:d9:dd:c25:c25:d00a:b021/1282c19:dd:d9:dd:c25:c25:d00a:b021
352c19:dd:d9:dd:c25:c25:d00a:b022/1282c19:dd:d9:dd:c25:c25:d00a:b022
362c19:dd:d9:dd:c25:c25:d00a:b023/1282c19:dd:d9:dd:c25:c25:d00a:b023
372c19:dd:d9:dd:c25:c25:d00a:b024/1282c19:dd:d9:dd:c25:c25:d00a:b024
382c19:dd:d9:dd:c25:c25:d00a:b025/1282c19:dd:d9:dd:c25:c25:d00a:b025
392c19:dd:d9:dd:c25:c25:d00a:b026/1282c19:dd:d9:dd:c25:c25:d00a:b026
402c19:dd:d9:dd:c25:c25:d00a:b027/1282c19:dd:d9:dd:c25:c25:d00a:b027
412c19:dd:d9:dd:c25:c25:d00a:b028/1282c19:dd:d9:dd:c25:c25:d00a:b028
422c19:dd:d9:dd:c25:c25:d00a:b029/1282c19:dd:d9:dd:c25:c25:d00a:b029
432c19:dd:d9:dd:c25:c25:d00a:b02a/1282c19:dd:d9:dd:c25:c25:d00a:b02a
442c19:dd:d9:dd:c25:c25:d00a:b02b/1282c19:dd:d9:dd:c25:c25:d00a:b02b
452c19:dd:d9:dd:c25:c25:d00a:b02c/1282c19:dd:d9:dd:c25:c25:d00a:b02c
462c19:dd:d9:dd:c25:c25:d00a:b02d/1282c19:dd:d9:dd:c25:c25:d00a:b02d
472c19:dd:d9:dd:c25:c25:d00a:b02e/1282c19:dd:d9:dd:c25:c25:d00a:b02e
482c19:dd:d9:dd:c25:c25:d00a:b02f/1282c19:dd:d9:dd:c25:c25:d00a:b02f
492c19:dd:d9:dd:c25:c25:d00a:b030/1282c19:dd:d9:dd:c25:c25:d00a:b030
502c19:dd:d9:dd:c25:c25:d00a:b031/1282c19:dd:d9:dd:c25:c25:d00a:b031
512c19:dd:d9:dd:c25:c25:d00a:b032/1282c19:dd:d9:dd:c25:c25:d00a:b032
522c19:dd:d9:dd:c25:c25:d00a:b033/1282c19:dd:d9:dd:c25:c25:d00a:b033
532c19:dd:d9:dd:c25:c25:d00a:b034/1282c19:dd:d9:dd:c25:c25:d00a:b034
542c19:dd:d9:dd:c25:c25:d00a:b035/1282c19:dd:d9:dd:c25:c25:d00a:b035
552c19:dd:d9:dd:c25:c25:d00a:b036/1282c19:dd:d9:dd:c25:c25:d00a:b036
562c19:dd:d9:dd:c25:c25:d00a:b037/1282c19:dd:d9:dd:c25:c25:d00a:b037
572c19:dd:d9:dd:c25:c25:d00a:b038/1282c19:dd:d9:dd:c25:c25:d00a:b038
582c19:dd:d9:dd:c25:c25:d00a:b039/1282c19:dd:d9:dd:c25:c25:d00a:b039
592c19:dd:d9:dd:c25:c25:d00a:b03a/1282c19:dd:d9:dd:c25:c25:d00a:b03a
602c19:dd:d9:dd:c25:c25:d00a:b03b/1282c19:dd:d9:dd:c25:c25:d00a:b03b
612c19:dd:d9:dd:c25:c25:d00a:b03c/1282c19:dd:d9:dd:c25:c25:d00a:b03c
622c19:dd:d9:dd:c25:c25:d00a:b03d/1282c19:dd:d9:dd:c25:c25:d00a:b03d
632c19:dd:d9:dd:c25:c25:d00a:b03e/1282c19:dd:d9:dd:c25:c25:d00a:b03e
642c19:dd:d9:dd:c25:c25:d00a:b03f/1282c19:dd:d9:dd:c25:c25:d00a:b03f
652c19:dd:d9:dd:c25:c25:d00a:b040/1282c19:dd:d9:dd:c25:c25:d00a:b040
662c19:dd:d9:dd:c25:c25:d00a:b041/1282c19:dd:d9:dd:c25:c25:d00a:b041
672c19:dd:d9:dd:c25:c25:d00a:b042/1282c19:dd:d9:dd:c25:c25:d00a:b042
682c19:dd:d9:dd:c25:c25:d00a:b043/1282c19:dd:d9:dd:c25:c25:d00a:b043
692c19:dd:d9:dd:c25:c25:d00a:b044/1282c19:dd:d9:dd:c25:c25:d00a:b044
702c19:dd:d9:dd:c25:c25:d00a:b045/1282c19:dd:d9:dd:c25:c25:d00a:b045
712c19:dd:d9:dd:c25:c25:d00a:b046/1282c19:dd:d9:dd:c25:c25:d00a:b046
722c19:dd:d9:dd:c25:c25:d00a:b047/1282c19:dd:d9:dd:c25:c25:d00a:b047
732c19:dd:d9:dd:c25:c25:d00a:b048/1282c19:dd:d9:dd:c25:c25:d00a:b048
742c19:dd:d9:dd:c25:c25:d00a:b049/1282c19:dd:d9:dd:c25:c25:d00a:b049
752c19:dd:d9:dd:c25:c25:d00a:b04a/1282c19:dd:d9:dd:c25:c25:d00a:b04a
762c19:dd:d9:dd:c25:c25:d00a:b04b/1282c19:dd:d9:dd:c25:c25:d00a:b04b
772c19:dd:d9:dd:c25:c25:d00a:b04c/1282c19:dd:d9:dd:c25:c25:d00a:b04c
782c19:dd:d9:dd:c25:c25:d00a:b04d/1282c19:dd:d9:dd:c25:c25:d00a:b04d
792c19:dd:d9:dd:c25:c25:d00a:b04e/1282c19:dd:d9:dd:c25:c25:d00a:b04e
802c19:dd:d9:dd:c25:c25:d00a:b04f/1282c19:dd:d9:dd:c25:c25:d00a:b04f
812c19:dd:d9:dd:c25:c25:d00a:b050/1282c19:dd:d9:dd:c25:c25:d00a:b050
822c19:dd:d9:dd:c25:c25:d00a:b051/1282c19:dd:d9:dd:c25:c25:d00a:b051
832c19:dd:d9:dd:c25:c25:d00a:b052/1282c19:dd:d9:dd:c25:c25:d00a:b052
842c19:dd:d9:dd:c25:c25:d00a:b053/1282c19:dd:d9:dd:c25:c25:d00a:b053
852c19:dd:d9:dd:c25:c25:d00a:b054/1282c19:dd:d9:dd:c25:c25:d00a:b054
862c19:dd:d9:dd:c25:c25:d00a:b055/1282c19:dd:d9:dd:c25:c25:d00a:b055
872c19:dd:d9:dd:c25:c25:d00a:b056/1282c19:dd:d9:dd:c25:c25:d00a:b056
882c19:dd:d9:dd:c25:c25:d00a:b057/1282c19:dd:d9:dd:c25:c25:d00a:b057
892c19:dd:d9:dd:c25:c25:d00a:b058/1282c19:dd:d9:dd:c25:c25:d00a:b058
902c19:dd:d9:dd:c25:c25:d00a:b059/1282c19:dd:d9:dd:c25:c25:d00a:b059
912c19:dd:d9:dd:c25:c25:d00a:b05a/1282c19:dd:d9:dd:c25:c25:d00a:b05a
922c19:dd:d9:dd:c25:c25:d00a:b05b/1282c19:dd:d9:dd:c25:c25:d00a:b05b
932c19:dd:d9:dd:c25:c25:d00a:b05c/1282c19:dd:d9:dd:c25:c25:d00a:b05c
942c19:dd:d9:dd:c25:c25:d00a:b05d/1282c19:dd:d9:dd:c25:c25:d00a:b05d
952c19:dd:d9:dd:c25:c25:d00a:b05e/1282c19:dd:d9:dd:c25:c25:d00a:b05e
962c19:dd:d9:dd:c25:c25:d00a:b05f/1282c19:dd:d9:dd:c25:c25:d00a:b05f
972c19:dd:d9:dd:c25:c25:d00a:b060/1282c19:dd:d9:dd:c25:c25:d00a:b060
982c19:dd:d9:dd:c25:c25:d00a:b061/1282c19:dd:d9:dd:c25:c25:d00a:b061
992c19:dd:d9:dd:c25:c25:d00a:b062/1282c19:dd:d9:dd:c25:c25:d00a:b062
1002c19:dd:d9:dd:c25:c25:d00a:b063/1282c19:dd:d9:dd:c25:c25:d00a:b063
1012c19:dd:d9:dd:c25:c25:d00a:b064/1282c19:dd:d9:dd:c25:c25:d00a:b064
1022c19:dd:d9:dd:c25:c25:d00a:b065/1282c19:dd:d9:dd:c25:c25:d00a:b065
1032c19:dd:d9:dd:c25:c25:d00a:b066/1282c19:dd:d9:dd:c25:c25:d00a:b066
1042c19:dd:d9:dd:c25:c25:d00a:b067/1282c19:dd:d9:dd:c25:c25:d00a:b067
1052c19:dd:d9:dd:c25:c25:d00a:b068/1282c19:dd:d9:dd:c25:c25:d00a:b068
1062c19:dd:d9:dd:c25:c25:d00a:b069/1282c19:dd:d9:dd:c25:c25:d00a:b069
1072c19:dd:d9:dd:c25:c25:d00a:b06a/1282c19:dd:d9:dd:c25:c25:d00a:b06a
1082c19:dd:d9:dd:c25:c25:d00a:b06b/1282c19:dd:d9:dd:c25:c25:d00a:b06b
1092c19:dd:d9:dd:c25:c25:d00a:b06c/1282c19:dd:d9:dd:c25:c25:d00a:b06c
1102c19:dd:d9:dd:c25:c25:d00a:b06d/1282c19:dd:d9:dd:c25:c25:d00a:b06d
1112c19:dd:d9:dd:c25:c25:d00a:b06e/1282c19:dd:d9:dd:c25:c25:d00a:b06e
1122c19:dd:d9:dd:c25:c25:d00a:b06f/1282c19:dd:d9:dd:c25:c25:d00a:b06f
1132c19:dd:d9:dd:c25:c25:d00a:b070/1282c19:dd:d9:dd:c25:c25:d00a:b070
1142c19:dd:d9:dd:c25:c25:d00a:b071/1282c19:dd:d9:dd:c25:c25:d00a:b071
1152c19:dd:d9:dd:c25:c25:d00a:b072/1282c19:dd:d9:dd:c25:c25:d00a:b072
1162c19:dd:d9:dd:c25:c25:d00a:b073/1282c19:dd:d9:dd:c25:c25:d00a:b073
1172c19:dd:d9:dd:c25:c25:d00a:b074/1282c19:dd:d9:dd:c25:c25:d00a:b074
1182c19:dd:d9:dd:c25:c25:d00a:b075/1282c19:dd:d9:dd:c25:c25:d00a:b075
1192c19:dd:d9:dd:c25:c25:d00a:b076/1282c19:dd:d9:dd:c25:c25:d00a:b076
1202c19:dd:d9:dd:c25:c25:d00a:b077/1282c19:dd:d9:dd:c25:c25:d00a:b077
1212c19:dd:d9:dd:c25:c25:d00a:b078/1282c19:dd:d9:dd:c25:c25:d00a:b078
1222c19:dd:d9:dd:c25:c25:d00a:b079/1282c19:dd:d9:dd:c25:c25:d00a:b079
1232c19:dd:d9:dd:c25:c25:d00a:b07a/1282c19:dd:d9:dd:c25:c25:d00a:b07a
1242c19:dd:d9:dd:c25:c25:d00a:b07b/1282c19:dd:d9:dd:c25:c25:d00a:b07b
1252c19:dd:d9:dd:c25:c25:d00a:b07c/1282c19:dd:d9:dd:c25:c25:d00a:b07c
1262c19:dd:d9:dd:c25:c25:d00a:b07d/1282c19:dd:d9:dd:c25:c25:d00a:b07d
1272c19:dd:d9:dd:c25:c25:d00a:b07e/1282c19:dd:d9:dd:c25:c25:d00a:b07e
1282c19:dd:d9:dd:c25:c25:d00a:b07f/1282c19:dd:d9:dd:c25:c25:d00a:b07f
1292c19:dd:d9:dd:c25:c25:d00a:b080/1282c19:dd:d9:dd:c25:c25:d00a:b080
1302c19:dd:d9:dd:c25:c25:d00a:b081/1282c19:dd:d9:dd:c25:c25:d00a:b081
1312c19:dd:d9:dd:c25:c25:d00a:b082/1282c19:dd:d9:dd:c25:c25:d00a:b082
1322c19:dd:d9:dd:c25:c25:d00a:b083/1282c19:dd:d9:dd:c25:c25:d00a:b083
1332c19:dd:d9:dd:c25:c25:d00a:b084/1282c19:dd:d9:dd:c25:c25:d00a:b084
1342c19:dd:d9:dd:c25:c25:d00a:b085/1282c19:dd:d9:dd:c25:c25:d00a:b085
1352c19:dd:d9:dd:c25:c25:d00a:b086/1282c19:dd:d9:dd:c25:c25:d00a:b086
1362c19:dd:d9:dd:c25:c25:d00a:b087/1282c19:dd:d9:dd:c25:c25:d00a:b087
1372c19:dd:d9:dd:c25:c25:d00a:b088/1282c19:dd:d9:dd:c25:c25:d00a:b088
1382c19:dd:d9:dd:c25:c25:d00a:b089/1282c19:dd:d9:dd:c25:c25:d00a:b089
1392c19:dd:d9:dd:c25:c25:d00a:b08a/1282c19:dd:d9:dd:c25:c25:d00a:b08a
1402c19:dd:d9:dd:c25:c25:d00a:b08b/1282c19:dd:d9:dd:c25:c25:d00a:b08b
1412c19:dd:d9:dd:c25:c25:d00a:b08c/1282c19:dd:d9:dd:c25:c25:d00a:b08c
1422c19:dd:d9:dd:c25:c25:d00a:b08d/1282c19:dd:d9:dd:c25:c25:d00a:b08d
1432c19:dd:d9:dd:c25:c25:d00a:b08e/1282c19:dd:d9:dd:c25:c25:d00a:b08e
1442c19:dd:d9:dd:c25:c25:d00a:b08f/1282c19:dd:d9:dd:c25:c25:d00a:b08f
1452c19:dd:d9:dd:c25:c25:d00a:b090/1282c19:dd:d9:dd:c25:c25:d00a:b090
1462c19:dd:d9:dd:c25:c25:d00a:b091/1282c19:dd:d9:dd:c25:c25:d00a:b091
1472c19:dd:d9:dd:c25:c25:d00a:b092/1282c19:dd:d9:dd:c25:c25:d00a:b092
1482c19:dd:d9:dd:c25:c25:d00a:b093/1282c19:dd:d9:dd:c25:c25:d00a:b093
1492c19:dd:d9:dd:c25:c25:d00a:b094/1282c19:dd:d9:dd:c25:c25:d00a:b094
1502c19:dd:d9:dd:c25:c25:d00a:b095/1282c19:dd:d9:dd:c25:c25:d00a:b095
1512c19:dd:d9:dd:c25:c25:d00a:b096/1282c19:dd:d9:dd:c25:c25:d00a:b096
1522c19:dd:d9:dd:c25:c25:d00a:b097/1282c19:dd:d9:dd:c25:c25:d00a:b097
1532c19:dd:d9:dd:c25:c25:d00a:b098/1282c19:dd:d9:dd:c25:c25:d00a:b098
1542c19:dd:d9:dd:c25:c25:d00a:b099/1282c19:dd:d9:dd:c25:c25:d00a:b099
1552c19:dd:d9:dd:c25:c25:d00a:b09a/1282c19:dd:d9:dd:c25:c25:d00a:b09a
1562c19:dd:d9:dd:c25:c25:d00a:b09b/1282c19:dd:d9:dd:c25:c25:d00a:b09b
1572c19:dd:d9:dd:c25:c25:d00a:b09c/1282c19:dd:d9:dd:c25:c25:d00a:b09c
1582c19:dd:d9:dd:c25:c25:d00a:b09d/1282c19:dd:d9:dd:c25:c25:d00a:b09d
1592c19:dd:d9:dd:c25:c25:d00a:b09e/1282c19:dd:d9:dd:c25:c25:d00a:b09e
1602c19:dd:d9:dd:c25:c25:d00a:b09f/1282c19:dd:d9:dd:c25:c25:d00a:b09f
1612c19:dd:d9:dd:c25:c25:d00a:b0a0/1282c19:dd:d9:dd:c25:c25:d00a:b0a0
1622c19:dd:d9:dd:c25:c25:d00a:b0a1/1282c19:dd:d9:dd:c25:c25:d00a:b0a1
1632c19:dd:d9:dd:c25:c25:d00a:b0a2/1282c19:dd:d9:dd:c25:c25:d00a:b0a2
1642c19:dd:d9:dd:c25:c25:d00a:b0a3/1282c19:dd:d9:dd:c25:c25:d00a:b0a3
1652c19:dd:d9:dd:c25:c25:d00a:b0a4/1282c19:dd:d9:dd:c25:c25:d00a:b0a4
1662c19:dd:d9:dd:c25:c25:d00a:b0a5/1282c19:dd:d9:dd:c25:c25:d00a:b0a5
1672c19:dd:d9:dd:c25:c25:d00a:b0a6/1282c19:dd:d9:dd:c25:c25:d00a:b0a6
1682c19:dd:d9:dd:c25:c25:d00a:b0a7/1282c19:dd:d9:dd:c25:c25:d00a:b0a7
1692c19:dd:d9:dd:c25:c25:d00a:b0a8/1282c19:dd:d9:dd:c25:c25:d00a:b0a8
1702c19:dd:d9:dd:c25:c25:d00a:b0a9/1282c19:dd:d9:dd:c25:c25:d00a:b0a9
1712c19:dd:d9:dd:c25:c25:d00a:b0aa/1282c19:dd:d9:dd:c25:c25:d00a:b0aa
1722c19:dd:d9:dd:c25:c25:d00a:b0ab/1282c19:dd:d9:dd:c25:c25:d00a:b0ab
1732c19:dd:d9:dd:c25:c25:d00a:b0ac/1282c19:dd:d9:dd:c25:c25:d00a:b0ac
1742c19:dd:d9:dd:c25:c25:d00a:b0ad/1282c19:dd:d9:dd:c25:c25:d00a:b0ad
1752c19:dd:d9:dd:c25:c25:d00a:b0ae/1282c19:dd:d9:dd:c25:c25:d00a:b0ae
1762c19:dd:d9:dd:c25:c25:d00a:b0af/1282c19:dd:d9:dd:c25:c25:d00a:b0af
1772c19:dd:d9:dd:c25:c25:d00a:b0b0/1282c19:dd:d9:dd:c25:c25:d00a:b0b0
1782c19:dd:d9:dd:c25:c25:d00a:b0b1/1282c19:dd:d9:dd:c25:c25:d00a:b0b1
1792c19:dd:d9:dd:c25:c25:d00a:b0b2/1282c19:dd:d9:dd:c25:c25:d00a:b0b2
1802c19:dd:d9:dd:c25:c25:d00a:b0b3/1282c19:dd:d9:dd:c25:c25:d00a:b0b3
1812c19:dd:d9:dd:c25:c25:d00a:b0b4/1282c19:dd:d9:dd:c25:c25:d00a:b0b4
1822c19:dd:d9:dd:c25:c25:d00a:b0b5/1282c19:dd:d9:dd:c25:c25:d00a:b0b5
1832c19:dd:d9:dd:c25:c25:d00a:b0b6/1282c19:dd:d9:dd:c25:c25:d00a:b0b6
1842c19:dd:d9:dd:c25:c25:d00a:b0b7/1282c19:dd:d9:dd:c25:c25:d00a:b0b7
1852c19:dd:d9:dd:c25:c25:d00a:b0b8/1282c19:dd:d9:dd:c25:c25:d00a:b0b8
1862c19:dd:d9:dd:c25:c25:d00a:b0b9/1282c19:dd:d9:dd:c25:c25:d00a:b0b9
1872c19:dd:d9:dd:c25:c25:d00a:b0ba/1282c19:dd:d9:dd:c25:c25:d00a:b0ba
1882c19:dd:d9:dd:c25:c25:d00a:b0bb/1282c19:dd:d9:dd:c25:c25:d00a:b0bb
1892c19:dd:d9:dd:c25:c25:d00a:b0bc/1282c19:dd:d9:dd:c25:c25:d00a:b0bc
1902c19:dd:d9:dd:c25:c25:d00a:b0bd/1282c19:dd:d9:dd:c25:c25:d00a:b0bd
1912c19:dd:d9:dd:c25:c25:d00a:b0be/1282c19:dd:d9:dd:c25:c25:d00a:b0be
1922c19:dd:d9:dd:c25:c25:d00a:b0bf/1282c19:dd:d9:dd:c25:c25:d00a:b0bf
1932c19:dd:d9:dd:c25:c25:d00a:b0c0/1282c19:dd:d9:dd:c25:c25:d00a:b0c0
1942c19:dd:d9:dd:c25:c25:d00a:b0c1/1282c19:dd:d9:dd:c25:c25:d00a:b0c1
1952c19:dd:d9:dd:c25:c25:d00a:b0c2/1282c19:dd:d9:dd:c25:c25:d00a:b0c2
1962c19:dd:d9:dd:c25:c25:d00a:b0c3/1282c19:dd:d9:dd:c25:c25:d00a:b0c3
1972c19:dd:d9:dd:c25:c25:d00a:b0c4/1282c19:dd:d9:dd:c25:c25:d00a:b0c4
1982c19:dd:d9:dd:c25:c25:d00a:b0c5/1282c19:dd:d9:dd:c25:c25:d00a:b0c5
1992c19:dd:d9:dd:c25:c25:d00a:b0c6/1282c19:dd:d9:dd:c25:c25:d00a:b0c6
2002c19:dd:d9:dd:c25:c25:d00a:b0c7/1282c19:dd:d9:dd:c25:c25:d00a:b0c7
2012c19:dd:d9:dd:c25:c25:d00a:b0c8/1282c19:dd:d9:dd:c25:c25:d00a:b0c8
2022c19:dd:d9:dd:c25:c25:d00a:b0c9/1282c19:dd:d9:dd:c25:c25:d00a:b0c9
2032c19:dd:d9:dd:c25:c25:d00a:b0ca/1282c19:dd:d9:dd:c25:c25:d00a:b0ca
2042c19:dd:d9:dd:c25:c25:d00a:b0cb/1282c19:dd:d9:dd:c25:c25:d00a:b0cb
2052c19:dd:d9:dd:c25:c25:d00a:b0cc/1282c19:dd:d9:dd:c25:c25:d00a:b0cc
2062c19:dd:d9:dd:c25:c25:d00a:b0cd/1282c19:dd:d9:dd:c25:c25:d00a:b0cd
2072c19:dd:d9:dd:c25:c25:d00a:b0ce/1282c19:dd:d9:dd:c25:c25:d00a:b0ce
2082c19:dd:d9:dd:c25:c25:d00a:b0cf/1282c19:dd:d9:dd:c25:c25:d00a:b0cf
2092c19:dd:d9:dd:c25:c25:d00a:b0d0/1282c19:dd:d9:dd:c25:c25:d00a:b0d0
2102c19:dd:d9:dd:c25:c25:d00a:b0d1/1282c19:dd:d9:dd:c25:c25:d00a:b0d1
2112c19:dd:d9:dd:c25:c25:d00a:b0d2/1282c19:dd:d9:dd:c25:c25:d00a:b0d2
2122c19:dd:d9:dd:c25:c25:d00a:b0d3/1282c19:dd:d9:dd:c25:c25:d00a:b0d3
2132c19:dd:d9:dd:c25:c25:d00a:b0d4/1282c19:dd:d9:dd:c25:c25:d00a:b0d4
2142c19:dd:d9:dd:c25:c25:d00a:b0d5/1282c19:dd:d9:dd:c25:c25:d00a:b0d5
2152c19:dd:d9:dd:c25:c25:d00a:b0d6/1282c19:dd:d9:dd:c25:c25:d00a:b0d6
2162c19:dd:d9:dd:c25:c25:d00a:b0d7/1282c19:dd:d9:dd:c25:c25:d00a:b0d7
2172c19:dd:d9:dd:c25:c25:d00a:b0d8/1282c19:dd:d9:dd:c25:c25:d00a:b0d8
2182c19:dd:d9:dd:c25:c25:d00a:b0d9/1282c19:dd:d9:dd:c25:c25:d00a:b0d9
2192c19:dd:d9:dd:c25:c25:d00a:b0da/1282c19:dd:d9:dd:c25:c25:d00a:b0da
2202c19:dd:d9:dd:c25:c25:d00a:b0db/1282c19:dd:d9:dd:c25:c25:d00a:b0db
2212c19:dd:d9:dd:c25:c25:d00a:b0dc/1282c19:dd:d9:dd:c25:c25:d00a:b0dc
2222c19:dd:d9:dd:c25:c25:d00a:b0dd/1282c19:dd:d9:dd:c25:c25:d00a:b0dd
2232c19:dd:d9:dd:c25:c25:d00a:b0de/1282c19:dd:d9:dd:c25:c25:d00a:b0de
2242c19:dd:d9:dd:c25:c25:d00a:b0df/1282c19:dd:d9:dd:c25:c25:d00a:b0df
2252c19:dd:d9:dd:c25:c25:d00a:b0e0/1282c19:dd:d9:dd:c25:c25:d00a:b0e0
2262c19:dd:d9:dd:c25:c25:d00a:b0e1/1282c19:dd:d9:dd:c25:c25:d00a:b0e1
2272c19:dd:d9:dd:c25:c25:d00a:b0e2/1282c19:dd:d9:dd:c25:c25:d00a:b0e2
2282c19:dd:d9:dd:c25:c25:d00a:b0e3/1282c19:dd:d9:dd:c25:c25:d00a:b0e3
2292c19:dd:d9:dd:c25:c25:d00a:b0e4/1282c19:dd:d9:dd:c25:c25:d00a:b0e4
2302c19:dd:d9:dd:c25:c25:d00a:b0e5/1282c19:dd:d9:dd:c25:c25:d00a:b0e5
2312c19:dd:d9:dd:c25:c25:d00a:b0e6/1282c19:dd:d9:dd:c25:c25:d00a:b0e6
2322c19:dd:d9:dd:c25:c25:d00a:b0e7/1282c19:dd:d9:dd:c25:c25:d00a:b0e7
2332c19:dd:d9:dd:c25:c25:d00a:b0e8/1282c19:dd:d9:dd:c25:c25:d00a:b0e8
2342c19:dd:d9:dd:c25:c25:d00a:b0e9/1282c19:dd:d9:dd:c25:c25:d00a:b0e9
2352c19:dd:d9:dd:c25:c25:d00a:b0ea/1282c19:dd:d9:dd:c25:c25:d00a:b0ea
2362c19:dd:d9:dd:c25:c25:d00a:b0eb/1282c19:dd:d9:dd:c25:c25:d00a:b0eb
2372c19:dd:d9:dd:c25:c25:d00a:b0ec/1282c19:dd:d9:dd:c25:c25:d00a:b0ec
2382c19:dd:d9:dd:c25:c25:d00a:b0ed/1282c19:dd:d9:dd:c25:c25:d00a:b0ed
2392c19:dd:d9:dd:c25:c25:d00a:b0ee/1282c19:dd:d9:dd:c25:c25:d00a:b0ee
2402c19:dd:d9:dd:c25:c25:d00a:b0ef/1282c19:dd:d9:dd:c25:c25:d00a:b0ef
2412c19:dd:d9:dd:c25:c25:d00a:b0f0/1282c19:dd:d9:dd:c25:c25:d00a:b0f0
2422c19:dd:d9:dd:c25:c25:d00a:b0f1/1282c19:dd:d9:dd:c25:c25:d00a:b0f1
2432c19:dd:d9:dd:c25:c25:d00a:b0f2/1282c19:dd:d9:dd:c25:c25:d00a:b0f2
2442c19:dd:d9:dd:c25:c25:d00a:b0f3/1282c19:dd:d9:dd:c25:c25:d00a:b0f3
2452c19:dd:d9:dd:c25:c25:d00a:b0f4/1282c19:dd:d9:dd:c25:c25:d00a:b0f4
2462c19:dd:d9:dd:c25:c25:d00a:b0f5/1282c19:dd:d9:dd:c25:c25:d00a:b0f5
2472c19:dd:d9:dd:c25:c25:d00a:b0f6/1282c19:dd:d9:dd:c25:c25:d00a:b0f6
2482c19:dd:d9:dd:c25:c25:d00a:b0f7/1282c19:dd:d9:dd:c25:c25:d00a:b0f7
2492c19:dd:d9:dd:c25:c25:d00a:b0f8/1282c19:dd:d9:dd:c25:c25:d00a:b0f8
2502c19:dd:d9:dd:c25:c25:d00a:b0f9/1282c19:dd:d9:dd:c25:c25:d00a:b0f9
2512c19:dd:d9:dd:c25:c25:d00a:b0fa/1282c19:dd:d9:dd:c25:c25:d00a:b0fa
2522c19:dd:d9:dd:c25:c25:d00a:b0fb/1282c19:dd:d9:dd:c25:c25:d00a:b0fb
2532c19:dd:d9:dd:c25:c25:d00a:b0fc/1282c19:dd:d9:dd:c25:c25:d00a:b0fc
2542c19:dd:d9:dd:c25:c25:d00a:b0fd/1282c19:dd:d9:dd:c25:c25:d00a:b0fd
2552c19:dd:d9:dd:c25:c25:d00a:b0fe/1282c19:dd:d9:dd:c25:c25:d00a:b0fe
2562c19:dd:d9:dd:c25:c25:d00a:b0ff/1282c19:dd:d9:dd:c25:c25:d00a:b0ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses